/*
 * CSS file to support the SvnInfo.js file.
 */

div.pleaseWait, div.svnLogEmpty, div.svnInfoEmpty {
  font-size: 150%;
  margin: 2em;
  color: #008000;
  font-weight: bold;
}

div.svnLogEmpty, div.svnInfoEmpty {
  color: #600000;
}

div.svnLogEntries {
  margin: 0px;
  margin-left: 0.25em;
  margin-right: 0.25em;
}

div.svnLogEntry, div.svnInfoEntry {
  margin: 0px;
  margin-top: 1.0;
}

span.svnLogDate {
  color: brown;
  font-weight: normal;
}

span.reducedSize {
  font-size: 75%;
}

div.svnMessage, div.svnLogPaths,
span.actionATip, span.actionDTip, span.actionMTip, span.actionRTip {
  margin: 0px;
  margin-top: 0.25em;
  margin-bottom: 0.25em;
  padding: 0.5em;
  border-width: 2px;
  border-style: solid;
  border-color: #111188;
  color: #000000;
  background-color: #f0f0f0;
}

dt.action {
  margin-top: 1em;
  margin-bottom: 0.25em;
}

span.actionATip, span.actionDTip, span.actionMTip, span.actionRTip {
  margin: 0px;
  padding: 0.25em;
  padding-left: 0.5em;
  padding-right: 0.5em;
}

span.actionM, span.actionD, span.actionR, span.actionA, span.actionMTip {
  color: black;
  font-weight: bold;
  font-family: monospace;
}

span.actionD, span.actionDTip, span.actionR, span.actionRTip {
  color: red;
}

span.actionA, span.actionATip {
  color: green;
}

div.svnMessage {
  margin-top: 0px;
  border-top-width: 0px;
  margin-bottom: 0px;
  border-bottom-width: 0px;
}

div.svnLogPaths {
  margin-top: 0px;
  border-top-width: 0px;
}

h3.svnLogEntry {
  margin-bottom: 0px;
}

